public class Money
{
	private double amount = 0;


	// Called the default constructor, takes no input
	// Should always make one
	public Money()
	{
		amount = 3.49;
	}

	public Money(int dollars, int cents)
	{
		setDollars(dollars);
		setCents(cents);
	}

	public Money(double x)
	{
		amount = x;
	}

	public int getDollars()
	{
		return (int) amount;
	}

	public void setDollars(int newDollars)
	{
		double cents = amount - (int) amount;
		amount = newDollars + cents;
	}

	public int getCents()
	{
		double cents = amount - (int) amount;
		return (int) Math.round(cents * 100);
	}

	public void setCents(int newCents)
	{
		int dollars = (int) amount;
		amount = dollars + (newCents / 100.0);
	}

}